Subject: RE: [Sip] RFC3262 -The Offer/Answer Model and PRACK (question)

From: Chadha Retesh-A19894 <[email-masked]>
Date: Fri, 8 Apr 2005 11:09:36 +0530

I think the requirement in RFC3262, just comes from the following rule in
RFC3261...

      o  The initial offer MUST be in either an INVITE or, if not there,
         in the first reliable non-failure message from the UAS back to
         the UAC.  In this specification, that is the final 2xx
         response.
In rfc3262, the first reliable message is 1xx... So, what should be
questioned is that why RFC 3261 wants the offer to be sent in the first
reliable response... I think this is probably because, it wants the 2 Uas to
know each other capabilities as early as possible, may be for early media,
or for say rejecting the call earlier than 200 ok in case capabilities are
not supported.. 

not sure, if this is correct.

Rgds
Retesh

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Kasturi Narayanan
Sent: Friday, April 08, 2005 8:45 AM
To: 'Paul Kyzivat'
Cc: [email-masked]
Subject: RE: [Sip] RFC3262 -The Offer/Answer Model and PRACK (question)

Thanks Paul for the reply, Even though it is not very convincing that why it
should be left as it is, if no reason can be attributed to it and also does
not seem right to put across an argument that somehow that requirement can
be complied so why undo the mistake.

-regards
Kasturi

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]] 
Sent: Thursday, April 07, 2005 7:31 PM
To: Kasturi Narayanan
Cc: [email-masked]
Subject: Re: [Sip] RFC3262 -The Offer/Answer Model and PRACK (question)

There was a long discussion of this several months ago.

I don't know why this requirement is there, and I don't recall that the 
discussion explained why. As I recall the discussion, the outcome was 
more or less: That is the way it was specified and it is too late and 
hard to change. There are ways for everybody to comply, so just do it.

I'm sure somebody will correct me if my memory is bad. (I could probably 
find the thread if I tried hard enough, but I've got other things to do 
now.)

	Paul

Kasturi Narayanan wrote:
> I have a question related to the following sentence in the RFC3262.
> 
>  
> 
> Here is the sentence in Section 5 of the RFC 3262
> 
>  
> 
> "Similarly, if a reliable provisional response is the first reliable
> message sent back to the UAC, and the
> 
> INVITE did not contain an offer, one MUST appear in that reliable
> provisional response."
> 
>  
> 
> Why is it made mandatory that, when INVITE(without offer) should 
> always
> result in a 18x(with Offer) if 18x is reliably sent?
> 
>  
> 
> However in the RFC it is not mandatory to include Answer in 18x if
> Invite is sent with an OFFER.
> 
>  
> 
> If there are cases where a Sip UAS wants to send 180 Ringing reliably
> (without Offer) so that the remote UAC can generate local Ring back and 
> at the same time wants to send Offer in 200 OK only   and get the answer 
> in ACK only.
> 
>  
> 
> Why the above condition is not a valid condition?  Please clarify
> 
>  
> 
> Thanks
> 
> */Kasturi Narayanan,/*
> 
> */ /*
> 
>  
> 
> 
> ----------------------------------------------------------------------
> --
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip